complexType "InflationRateCalculation"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 8 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | floatingRateIndex, indexTenor?, spreadSchedule*, capRateSchedule*, floorRateSchedule*, capFloorStraddle?, inflationLag?, indexSource?
</...>

Content Model Elements (8):

  capFloorStraddle,
  capRateSchedule,
  floatingRateIndex (defined in FloatingRateIndex.model group),
  floorRateSchedule,
  indexSource,
  indexTenor (defined in FloatingRateIndex.model group),
  inflationLag,
  spreadSchedule (defined in FloatingRate complexType)

All Direct / Indirect Based Elements (1):

  inflationRateCalculation

Known Usage Locations

- As direct type of elements (1):
  inflationRateCalculation

Annotation
A type defining the components specifiying an Inflation Rate Calculation
Type Definition Detail

Type Derivation Tree Rate (extension) FloatingRate (extension) FloatingRateCalculation (extension) InflationRateCalculation

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="InflationRateCalculation"> <xsd:complexContent> <xsd:extension base="FloatingRateCalculation"> <xsd:sequence> <xsd:element minOccurs="0" name="inflationLag" type="Offset"/> <xsd:element minOccurs="0" name="indexSource" type="RateSourcePage"/> <!--View Generation: SKIPPED mainPublication - Documentation--> <!--View Generation: SKIPPED interpolationMethod - Documentation--> <!--View Generation: SKIPPED initialIndexLevel - TBD--> <!--View Generation: SKIPPED fallbackBondApplicable - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/8)
indexSource

  Type: | RateSourcePage, simple content

  The reference source such as Reuters or Bloomberg.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="indexSource" type="RateSourcePage"/>

inflationLag

  Type: | Offset, complex content

  an offsetting period from the payment date which determines the reference period for which the inflation index is onserved.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="inflationLag" type="Offset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.